Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2072445 - GNOME Connections window can't be moved or (un)maximized while a remote desktop is displayed
Summary: GNOME Connections window can't be moved or (un)maximized while a remote deskt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-connections
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Felipe Borges
QA Contact:
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F36FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2022-04-06 10:42 UTC by Kamil Páral
Modified: 2022-04-13 09:04 UTC (History)
4 users (show)

Fixed In Version: gnome-connections-42.1.1-1.fc36 gnome-connections-42.1.2-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-11 03:33:29 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Kamil Páral 2022-04-06 10:42:26 UTC
Description of problem:
When you connect to a remote desktop (through RDP or VNC), you can no longer move the gnome-connections window. It is fixed wherever you had it, you can't move it on your desktop up/down/left/right. You also can't maximize or unmaximize it by double clicking the title bar or dragging it to/from the top screen edge.

Version-Release number of selected component (if applicable):
gnome-connections-42.1-1.fc36.x86_64
gnome-shell-42.0-2.fc36.x86_64
mutter-42.0-3.fc36.x86_64

How reproducible:
always

Steps to Reproduce:
1. start gnome-connections
2. connect to a remote desktop (localhost is sufficient), RDP or VNC. (An RDP server can be easily started in GNOME Settings -> Sharing).
3. try to move the window, you can't
4. try to maximize or unmaximize the window by double clicking the title bar, you can't

Expected results:
A window can be moved freely, as everything else

Additional info:
A workaround for (un)maximization is to use Super+Up/Down combo, that works.
A workaround for moving the window is to use the Back arrow in the title bar, that moves you back to your starting screen without interrupting the connection, move the window and then switch to the remote display view again.

Comment 1 Kamil Páral 2022-04-06 10:44:29 UTC
Proposing for a blocker consideration. Do you think moving and maximizing its window is a basic functionality of a remote desktop viewer?

https://fedoraproject.org/wiki/Fedora_36_Final_Release_Criteria#Default_application_functionality

Comment 2 Felipe Borges 2022-04-06 10:53:51 UTC
I just posted a fix for this at https://gitlab.gnome.org/GNOME/connections/-/commit/137a0593e41e9f48597d66107a14213b79fcfc7f

Comment 3 Fedora Update System 2022-04-07 13:27:20 UTC
FEDORA-2022-4f7e9dc2fb has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-4f7e9dc2fb

Comment 4 Kamil Páral 2022-04-07 17:30:20 UTC
(In reply to Fedora Update System from comment #3)
> FEDORA-2022-4f7e9dc2fb has been submitted as an update to Fedora 36.
> https://bodhi.fedoraproject.org/updates/FEDORA-2022-4f7e9dc2fb

This is now fixed, thanks.

Comment 5 Fedora Update System 2022-04-07 18:01:57 UTC
FEDORA-2022-4f7e9dc2fb has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-4f7e9dc2fb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-4f7e9dc2fb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 František Zatloukal 2022-04-09 11:52:01 UTC
Discussed in ticket: https://pagure.io/fedora-qa/blocker-review/issue/720

The decision to classify this bug as an AcceptedBlocker was made:

"This violates the Default application functionality release criterion as it significantly hampers user experience with an application (GNOME Connections) that is part of the default application set for Fedora Workstation deliverable."

Comment 7 Fedora Update System 2022-04-11 03:33:29 UTC
FEDORA-2022-4f7e9dc2fb has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-04-13 09:04:18 UTC
FEDORA-2022-13ed0f323e has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-13ed0f323e

Comment 9 Fedora Update System 2022-04-13 09:04:48 UTC
FEDORA-2022-13ed0f323e has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.